원문 : http://www.ischo.net -- 조인상 //시스템 엔지니어

+++++++++++++++++++++++++++++++++++++++++++++++++++++++

일명 <certi> 가 되지 않는 버전 궁합이기 때문에 가급적 설치하지 않는 쪽이 좋음.

 

AIX 6.1 부터는 aio가 자동으로 관리되기 때문에

 

Oracle 9i 설치본의 rootpre.sh 를 실행할때 aio 가 동작하고 있지 않다고 걸림.

 

 

해서 rootpre.sh 스크립트의 다음 부분을 수정하여 건너뜀.

 

# Asynchronous I/O
echo "
Configuring Asynchronous I/O..." | tee -a $LOG
    aio=`lsdev -C -t aio|awk '{print $2}'`
    case $aio in
      *Available*) echo "Asynchronous I/O is already defined" | tee -a $LOG
                   ;;
      *Defined*)   mkdev -l aio0 | tee -a $LOG
     chdev -P -l aio0 -a autoconfig='available'
                   ;;
      *)   echo "Asynchronous I/O is not installed on this system." >> $LOG
#           cat << END

#Asynchronous I/O is not installed on this system.

#You will need to install it, and either configure it yourself using
#'smit aio' or rerun the Oracle root installation procedure.
#END
                ;;
    esac

 

위와 같이 해당부분을 remark 해 버리고 넘어감.

 

 

 

패치시에도 runInstall 실행시 AIX 5200, 5100 버전이 아니라면서 실행이 불가함.

 

패치디렉토리의 install/oraparam.ini 파일을

 

[Certified Versions]
Solaris=5.8,5.9
Linux=redhat-2.1AS
HPUX=B.11.00,B.11.11
Decunix=V5.1A,V5.1
AIX=5200,5100  --> AIX=6100,5200,5100

 

위와 같이 수정하여 설치진행하여야 함.